body {
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #f9fafb;
  color: #333;
}

.hero-section {
  position: relative;
  min-height: 80vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(to bottom right, #f0f9ff, #ffffff);
  overflow: hidden;
}

.background-blobs .blob {
  position: absolute;
  width: 10rem;
  height: 10rem;
  border-radius: 50%;
  filter: blur(128px);
  mix-blend-mode: multiply;
}

.background-blobs .top-left {
  top: 2.5rem;
  left: 2.5rem;
  background-color: #60a5fa;
}

.background-blobs .bottom-right {
  bottom: 2.5rem;
  right: 2.5rem;
  background-color: #a855f7;
}

.background-blobs .center {
  top: 50%;
  left: 50%;
  transform: translate(-0%, -50%);
  background-color: #fbbf24;
}

.container {
  position: relative;
  z-index: 10;
  transition: all 1s;
  opacity: 1;
  transform: translateY(0);
}

.text-center {
  text-align: center;
  max-width: 768px;
  margin: 0 auto;
}

.hero-title {
  font-size: 2.5rem;
  font-weight: bold;
  margin-bottom: 1.5rem;
}

.gradient-text {
  background: linear-gradient(to right, #3b82f6, #9333ea);
  -webkit-background-clip: text;
  background-clip: none;
  color: transparent;
}

.subtitle-container {
  margin-bottom: 2rem;
}

.subtitle {
  font-size: 1.5rem;
  font-weight: 500;
  margin-bottom: 0.5rem;
}

.underline {
  height: 0.25rem;
  width: 50%;
  background-color: #3b82f6;
  margin: 0 auto;
  border-radius: 9999px;
}

.description {
  font-size: 1.125rem;
  color: #4b5563;
  margin-bottom: 2.5rem;
  max-width: 512px;
  margin-left: auto;
  margin-right: auto;
}

.social-icons {
  display: flex;
  justify-content: center;
  gap: 1rem;
  margin-bottom: 3rem;
}

a {
  text-decoration: none;
}

.icon {
  width: auto;
  height: auto;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon:hover {
  color: black;
  background-color: #79acff;
  scale: 1.2;
  border: 1px dashed black;
}

.down-arrow {
  font-size: 1.6em;
  width: auto;
  height: auto;
  color: #3b82f6;
}

.scroll-button {
  padding: 0.5rem;
  background-color: #ffffff;
  border-radius: 9999px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: box-shadow 0.3s;
  animation: bounce 2s infinite;
}

.scroll-button:hover {
  box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
}

@keyframes bounce {

  0%,
  20%,
  50%,
  80%,
  100% {
    transform: translateY(0);
  }

  40% {
    transform: translateY(-10px);
  }

  60% {
    transform: translateY(-5px);
  }
}